#!/bin/sh

set -eu

Main()
{
  ##############################################################################
  # INPUT
  ##############################################################################

    local workspace_path="${1? Missing path to work space dir !!!}"

    local user_name=${2? Missing user name !!!}


  ##############################################################################
  # EXECUTION
  ##############################################################################

    mkdir -p "${workspace_path}"

    chown -R "${user_name}":"${user_name}" "${workspace_path}"
}

Main "${@}"
